#
# spec file for package sca-patterns-hae
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sca_common sca
%define patdirbase /usr/lib/%{sca_common}
%define patdir %{patdirbase}/patterns
%define patuser root
%define patgrp root
%define mode 544
%define category HAE

Name:           sca-patterns-hae
Version:        1.5.2
Release:        1.2
Summary:        Supportconfig Analysis Patterns for HAE
License:        GPL-2.0-only
URL:            https://github.com/g23guy/sca-patterns-hae
Group:          System/Monitoring
Source:         %{name}-%{version}.tar.gz
BuildRequires:  fdupes
Requires:       sca-patterns-base >= 1.5.0
Requires:       sca-server-report >= 1.5.1
BuildArch:      noarch

%description
Supportconfig Analysis (SCA) appliance patterns to identify known
issues relating to all versions of High Availability Extension (HAE)
clustering

See %{_docdir}/sca-patterns-base/COPYING.GPLv2

%prep
%setup -q

%build

%install
pwd;ls -la
install -d %{buildroot}/%{patdir}/%{category}
install -d %{buildroot}/%{patdir}/%{category}/hae11all
install -d %{buildroot}/%{patdir}/%{category}/hae11sp0
install -d %{buildroot}/%{patdir}/%{category}/hae11sp1
install -d %{buildroot}/%{patdir}/%{category}/hae11sp2
install -d %{buildroot}/%{patdir}/%{category}/hae11sp3
install -d %{buildroot}/%{patdir}/%{category}/hae11sp4
install -m %{mode} patterns/%{category}/hae11all/* %{buildroot}/%{patdir}/%{category}/hae11all
install -m %{mode} patterns/%{category}/hae11sp0/* %{buildroot}/%{patdir}/%{category}/hae11sp0
install -m %{mode} patterns/%{category}/hae11sp1/* %{buildroot}/%{patdir}/%{category}/hae11sp1
install -m %{mode} patterns/%{category}/hae11sp2/* %{buildroot}/%{patdir}/%{category}/hae11sp2
install -m %{mode} patterns/%{category}/hae11sp3/* %{buildroot}/%{patdir}/%{category}/hae11sp3
install -m %{mode} patterns/%{category}/hae11sp4/* %{buildroot}/%{patdir}/%{category}/hae11sp4

install -d %{buildroot}/%{patdir}/%{category}/hae12all
install -d %{buildroot}/%{patdir}/%{category}/hae12sp0
install -d %{buildroot}/%{patdir}/%{category}/hae12sp1
install -d %{buildroot}/%{patdir}/%{category}/hae12sp2
install -d %{buildroot}/%{patdir}/%{category}/hae12sp3
install -d %{buildroot}/%{patdir}/%{category}/hae12sp4
install -d %{buildroot}/%{patdir}/%{category}/hae12sp5
install -m %{mode} patterns/%{category}/hae12all/* %{buildroot}/%{patdir}/%{category}/hae12all
install -m %{mode} patterns/%{category}/hae12sp0/* %{buildroot}/%{patdir}/%{category}/hae12sp0
install -m %{mode} patterns/%{category}/hae12sp1/* %{buildroot}/%{patdir}/%{category}/hae12sp1
install -m %{mode} patterns/%{category}/hae12sp2/* %{buildroot}/%{patdir}/%{category}/hae12sp2
install -m %{mode} patterns/%{category}/hae12sp3/* %{buildroot}/%{patdir}/%{category}/hae12sp3
install -m %{mode} patterns/%{category}/hae12sp4/* %{buildroot}/%{patdir}/%{category}/hae12sp4
install -m %{mode} patterns/%{category}/hae12sp5/* %{buildroot}/%{patdir}/%{category}/hae12sp5

install -d %{buildroot}/%{patdir}/%{category}/hae15all
install -d %{buildroot}/%{patdir}/%{category}/hae15sp0
install -d %{buildroot}/%{patdir}/%{category}/hae15sp1
install -d %{buildroot}/%{patdir}/%{category}/hae15sp2
install -d %{buildroot}/%{patdir}/%{category}/hae15sp3
install -d %{buildroot}/%{patdir}/%{category}/hae15sp4
install -m %{mode} patterns/%{category}/hae15all/* %{buildroot}/%{patdir}/%{category}/hae15all
install -m %{mode} patterns/%{category}/hae15sp0/* %{buildroot}/%{patdir}/%{category}/hae15sp0
install -m %{mode} patterns/%{category}/hae15sp1/* %{buildroot}/%{patdir}/%{category}/hae15sp1
install -m %{mode} patterns/%{category}/hae15sp2/* %{buildroot}/%{patdir}/%{category}/hae15sp2
install -m %{mode} patterns/%{category}/hae15sp3/* %{buildroot}/%{patdir}/%{category}/hae15sp3
install -m %{mode} patterns/%{category}/hae15sp4/* %{buildroot}/%{patdir}/%{category}/hae15sp4

%fdupes %{buildroot}

%files
%defattr(-,%{patuser},%{patgrp})
%dir %{patdirbase}
%dir %{patdir}
%dir %{patdir}/%{category}
%dir %{patdir}/%{category}/hae11all
%dir %{patdir}/%{category}/hae11sp0
%dir %{patdir}/%{category}/hae11sp1
%dir %{patdir}/%{category}/hae11sp2
%dir %{patdir}/%{category}/hae11sp3
%dir %{patdir}/%{category}/hae11sp4
%dir %{patdir}/%{category}/hae12all
%dir %{patdir}/%{category}/hae12sp0
%dir %{patdir}/%{category}/hae12sp1
%dir %{patdir}/%{category}/hae12sp2
%dir %{patdir}/%{category}/hae12sp3
%dir %{patdir}/%{category}/hae12sp4
%dir %{patdir}/%{category}/hae12sp5
%dir %{patdir}/%{category}/hae15all
%dir %{patdir}/%{category}/hae15sp0
%dir %{patdir}/%{category}/hae15sp1
%dir %{patdir}/%{category}/hae15sp2
%dir %{patdir}/%{category}/hae15sp3
%dir %{patdir}/%{category}/hae15sp4
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae11all/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp0/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp1/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp2/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp3/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp4/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae12all/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp0/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp1/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp2/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp3/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp4/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp5/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae15all/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp0/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp1/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp2/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp3/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp4/*

%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp0/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp1/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp2/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp3/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae11sp4/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae12all/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp0/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp1/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp2/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp3/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp4/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae12sp5/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae15all/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp0/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp1/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp2/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp3/*README
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/hae15sp4/*README

%changelog
* Thu Oct 27 2022 jason.record@suse.com
- Changes to version 1.5.2
  + Removed invalid patterns (bsc#1204798)
  + Updated or removed invalid solution links in patterns
  + Updated links with old domains to use suse.com
* Tue Mar  8 2022 Jason Record <jason.record@suse.com>
- More updates to version 1.5.1
  + HAE Policies Quorum 2 node cluster requires ignore policy (bsc#1167689)
  + False positive hit from /usr/lib/sca/patterns/HAE/stonith-00002.pl
  (bsc#1124793)
  + supportconfig indicates IPv6 required by HAE, is already enabled
  (bsc#1045605)
* Fri Dec 17 2021 Jason Record <jason.record@suse.com>
- Updates to version 1.5.1
  + Added distribution and service pack subdirectories (bsc#1193878)
* Thu Nov  4 2021 Jason Record <jason.record@suse.com>
- Updates to version 1.5.0
  + Converted all python patterns to python3 (bsc#1191005)
* Tue Jun 25 2019 jason.record@suse.com
- Updates to version 1.3.1
  + Fixed false positive for stonith-00002.pl (bsc#1124793)
* Tue Jan  2 2018 jason.record@suse.com
- Removed unnecessary %%clean from spec
* Mon Dec 18 2017 jason.record@suse.com
- Updated spec file with spec-cleaner suggestions
- Removed COPYING.GPLv2
* Fri Jun  2 2017 jason.record@suse.com
- Added security patterns (bsc#1042514)
* Tue Feb 23 2016 jrecord@suse.com
- Updated patterns (bsc#953203)
* Thu Apr  2 2015 jrecord@suse.com
- Fixed ocfs2-00004.pl false ro hit (bnc#921627)
* Wed Jun 18 2014 jrecord@suse.com
- New Patterns
  bindnetaddr-7015225.py
  mcastport-7015225.py
  corosync-7015215.py
* Wed Jun  4 2014 jrecord@suse.com
- Moved from SLE to HAE category
- Moved pattern structure to HAE only
* Thu May 15 2014 jrecord@suse.com
- Fixed argument isn't numeric in stop-00001.pl
* Wed Apr 23 2014 jrecord@suse.com
- Fixed haesbd-00004.pl false mismatch on UUID (bnc#867828)
* Fri Mar 21 2014 jrecord@suse.com
- Fixed spec file macro
* Thu Mar 20 2014 jrecord@suse.com
- Removed duplicates with fdupes
- Fixed FSF address in all patterns
- Change to System/Monitoring spec Group
* Sat Feb  8 2014 jrecord@suse.com
- Packaged COPYING.GPLv2
* Fri Jan 31 2014 jrecord@suse.com
- includes pertinent patterns from sca-patterns-basic
- moved patterns from own directory to SLE structure
* Thu Jan 16 2014 jrecord@suse.com
- relocated files according to FHS
* Fri Dec 20 2013 jrecord@suse.com
- separated as individual RPM package
